package com.sundata.internalevaluation.configuration.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.sundata.internalevaluation.configuration.model.SysInterface;



@Mapper
public interface SysInterfaceMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SysInterface> listAll(SysInterface sysInterface);


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SysInterface getById(String id);
	
	/**
     * 新增，插入所有字段
     *
     * @param SysInterface 新增的记录
     * @return 返回影响行数
     */
	int insert(SysInterface SysInterface);
	
	/**
     * 新增，忽略null字段
     *
     * @param SysInterface 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SysInterface SysInterface);
	
	/**
     * 修改，修改所有字段
     *
     * @param SysInterface 修改的记录
     * @return 返回影响行数
     */
	int update(SysInterface SysInterface);
	
	/**
     * 修改，忽略null字段
     *
     * @param SysInterface 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SysInterface SysInterface);
	
	/**
     * 删除记录
     *
     * @param SysInterface 待删除的记录
     * @return 返回影响行数
     */
	int delete(SysInterface SysInterface);
	
}